## org.hibernate.metamodel.relational
Class Database

    java.lang.Object
      org.hibernate.metamodel.relational.Database

    public class Database

extends Object

Represents a database and manages the named schema/catalog pairs defined within.

Constructor Summary
`Database(Metadata.Options options)`

Method Summary
`void` `addAuxiliaryDatabaseObject(AuxiliaryDatabaseObject auxiliaryDatabaseObject)`
`String[]` `generateDropSchemaScript(Dialect dialect)`
`String[]` `generateSchemaCreationScript(Dialect dialect)`
`Iterable<AuxiliaryDatabaseObject>` `getAuxiliaryDatabaseObjects()`
`Schema` `getDefaultSchema()`
`Schema` `getSchema(Identifier schema, Identifier catalog)`
`Schema` `getSchema(String schema, String catalog)`
`Schema` `locateSchema(Schema.Name name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Database

    public Database(Metadata.Options options)

Method Detail

### getDefaultSchema

    public Schema getDefaultSchema()

### locateSchema

    public Schema locateSchema(Schema.Name name)

### getSchema

    public Schema getSchema(Identifier schema,
                            Identifier catalog)

### getSchema

    public Schema getSchema(String schema,
                            String catalog)

### addAuxiliaryDatabaseObject

    public void addAuxiliaryDatabaseObject(AuxiliaryDatabaseObject auxiliaryDatabaseObject)

### getAuxiliaryDatabaseObjects

    public Iterable<AuxiliaryDatabaseObject> getAuxiliaryDatabaseObjects()

### generateSchemaCreationScript

    public String[] generateSchemaCreationScript(Dialect dialect)

### generateDropSchemaScript

    public String[] generateDropSchemaScript(Dialect dialect)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.